Subject: Re: bug#1305: OT: Should the Emacs team leave beep-on-error enabled for the sake of people with vision loss?

From: David Reitter <[email-masked]>
Date: Sun, 9 Nov 2008 19:34:28 -0500

On 9 Nov 2008, at 18:25, Xavier Maillard wrote:

>
>   Provided it can be turned off I would leave it on by default.  If my
>   emacspeak doesn't come up talking it's nice to get *some* feedback
>   that something is alive.
>
> Correct.

The audible bell is annoying and absolutely non-standard.  It was the  
first thing I turned off in my branch: having Emacs ping loudly  
whenever one reached the end or beginning of the buffer when  
scrolling, or when some key entered wasn't bound, was just not  
acceptable, be it in the open-space office environment or at home.

Why not turn it off by default, but offer a command-line option  
(besides the customization variable) to turn it on when desired?  One  
could even bind the (real, unconditional) bell to some key so that it  
can be invoked to test things.